package cd.casic.ci.process.dto.req.template;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;

import java.util.Map;

/**
 * @ClassName TemplateTaskCreateByDataReq
 * @Author hopeli
 * @Date 2025/7/20 18:50
 * @Version 1.0
 */
@Data
public class TemplateTaskCreateByDataReq {
    /**
     * 阶段ID
     */
    private String stageId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 流水线模板ID
     */
    private String templateId;

    /**
     * 任务类型
     */
    private String taskType;

    /**
     * 任务排序
     */
    private Integer taskSort;

    /**
     * 后置处理器ID
     */
    private String postprocessId;

    /**
     * 任务配置（JSON格式存储）
     */
    @TableField(typeHandler = JacksonTypeHandler.class,jdbcType = JdbcType.VARCHAR)
    private Map<String, Object> taskProperties;
}
