
package cd.casic.module.terminal.common;

import cn.orionsec.kit.lang.constant.OrionConst;

/**
 * 项目常量
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2023/6/19 18:56
 */
public interface AppConst extends OrionConst {

    /**
     * 同 ${orion.version} 迭代时候需要手动更改
     */
    String VERSION = "2.3.9";

    /**
     * 同 ${spring.application.name}
     */
    String APP_NAME = "orion-visor";

    String GITHUB = "https://github.com/dromara/orion-visor";

    String GITEE = "https://gitee.com/dromara/orion-visor";

    String ISSUES = "https://github.com/dromara/orion-visor/issues";

}
