
package cd.casic.module.terminal.common.constant;

/**
 * 配置项常量
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2025/1/14 16:15
 */
public interface ConfigKeys {

    /**
     * SFTP 文件预览大小
     */
    String SFTP_PREVIEW_SIZE = "sftp_previewSize";

    /**
     * SFTP 重复文件备份
     */
    String SFTP_UPLOAD_PRESENT_BACKUP = "sftp_uploadPresentBackup";

    /**
     * SFTP 备份文件名称
     */
    String SFTP_UPLOAD_BACKUP_FILE_NAME = "sftp_uploadBackupFileName";


    /**
     * 加密私钥
     */
    String ENCRYPT_PRIVATE_KEY = "encrypt_privateKey";


}
