package cd.casic.ci.process.dto.req.template;

import lombok.Data;

import java.util.List;

/**
 * @ClassName TemplateStageCreateByDataReq
 * @Author hopeli
 * @Date 2025/7/20 18:34
 * @Version 1.0
 */
@Data
public class TemplateStageCreateByDataReq {
    /**
     * 阶段名称
     */
    private String stageName;

    /**
     * 流水线模板ID
     */
    private String templateId;

    /**
     * 阶段排序
     */
    private Integer stageSort;

    /**
     * 父级阶段ID
     */
    private String parentId;

    /**
     * 是否是代码阶段
     */
    private Boolean code = false;

    private List<TemplateStageCreateByDataReq> stageCreateByDataReqList;

    private List<TemplateTaskCreateByDataReq> taskCreateByDataReqList;
}
