package cd.casic.ci.process.dto.req.testCase;

import lombok.Data;
/**
 * {
 * "model_id": "gpt-4", // 可选，模型ID，默认值为：deepseek/deepseekchat
 * "api_key": "your-api-key", // 可选，API密钥
 * "api_base": "https://api.openai.com/v1", // 可选，API基础URL，默认值为：
 * https://api.deepseek.com
 * "binary_id": "abc123def456", // 条件可选，二进制文件ID, 如果未提供，则需要提供
 * case_format参数
 * "case_format": "png", // 条件可选，测试用例文件格式, 如果未提供，则需要提
 * 供binary_id参数
 * "custom_prompt": "", // 可选，测试用例生成任务的自定义提示词, 如："构造
 * 尽可能小的png文件"
 * "count": 10 // 可选，生成用例数量，默认10
 * }
 * */
@Data
public class TestCaseAITaskCreateReq {
    private String binaryId;
    private String caseFormat;
    private String customPrompt;
    private Integer count;
}
