package cd.casic.ci.process.process.converter;

import cd.casic.ci.process.dto.req.group.GroupAddReq;
import cd.casic.ci.process.dto.req.group.GroupUpdateReq;
import cd.casic.ci.process.dto.req.pipeline.PipelineCreateReq;
import cd.casic.ci.process.dto.req.pipeline.PipelineUpdateReq;
import cd.casic.ci.process.dto.resp.group.GroupListResp;
import cd.casic.ci.process.dto.resp.pipeline.PipelineFindResp;
import cd.casic.ci.process.process.dataObject.pipeline.PipPipeline;
import cd.casic.ci.process.process.dataObject.pipgroup.PipGroup;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName PipelineConverter
 * @Date: 2025/5/13 14:39
 * @Description:
 */
@Mapper(componentModel = "spring")
public interface GroupConverter {
    GroupConverter INSTANCE = Mappers.getMapper(GroupConverter.class);
    public PipGroup reqToDto(GroupAddReq req);
    public PipGroup reqToDto(GroupUpdateReq req);
    List<GroupListResp> dtoListToResp(List<PipGroup> groupList);
}
