
package cd.casic.module.terminal.common;

import lombok.Getter;

/**
 * 操作风险等级
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2023/10/12 14:19
 */
@Getter
public enum OperatorRiskLevel {

    /**
     * 低风险
     */
    L,

    /**
     * 中风险
     */
    M,

    /**
     * 高风险
     */
    H,

    ;

}
