package cd.casic.module.terminal.host.transfer;

import cd.casic.module.terminal.controller.dto.TerminalConnectDTO;
import cn.orionsec.kit.net.host.SessionStore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 终端连接信息
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2024/7/12 23:52
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TerminalConnection {

    /**
     * connectInfo
     */
    private TerminalConnectDTO connectInfo;

    /**
     * sessionStore
     */
    private SessionStore sessionStore;

}
